#include "chdecl.h"
void CH_makehermes_nullaction(current, sched, cop)
#define ARGUMENTS 4
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto c4;
    case 2: goto cb4;
    case 3: goto c5;
    case 4: goto c9;
    case 5: goto c11;
    case 6: goto c13;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
c2:
/* noop */
  
c4:
  current->ip = 2;
cb4:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c5:
/* boolean 3.0 , TRUE */
  REF(3)DOT(0).value.boolean = TRUE;
  REF(3)DOT(0).tsdr = & dr_boolean;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* branch , 2 */
   goto c2;
c9:
/* endblock */
  che_endblock(sched);
c11:
/* endblock */
  che_endblock(sched);
c13:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
